/*
 * lexer.h: lexical analyser interface, for datadec input language
 *          initially only the "inner" language, without print hints.
 */

/* ----------------- Exported defns     ---------------- */

typedef enum {
	tEQ,
	tOR,
	tSEMI,
        tOPENBR,
	tCOMMA,
	tCLOSEBR,
	tID,
        tERROR,
	tEOF,
} TOKEN;

/* ----------------- Exported variables ---------------- */

extern char *tokenname[];	/* mapping from TOKEN to string */
extern char lexidval[];		/* value of an identifier (tID) */
extern int  lineno;
extern FILE *lexfile;

/* ----------------- Public procedures  ---------------- */

extern TOKEN nexttok( void );
extern void ungettok( void );
